import { getTranslations } from "next-intl/server";

import { AnimatedInfoScreen, LottieAnimation } from "@/components/widgets";
import { ROUTES } from "@/shared/constants/client-routes";
import { ELottieKeys } from "@/shared/constants/lottie";

export default async function Stay50Done() {
  const t = await getTranslations("Stay50Done");

  const animationTexts = [t("descriptions.1")];

  return (
    <AnimatedInfoScreen
      lottieAnimation={
        <LottieAnimation loadKey={ELottieKeys.loaderCheckMark} />
      }
      title={t("title")}
      animationTime={5000}
      animationTexts={animationTexts}
      buttonText={t("button")}
      nextRoute={ROUTES.home()}
    />
  );
}
